[워드프레스] Parse error: syntax error, unexpected '<' ... 오류가 발생하는 경우

워드프레스를 설치하거나 운영하다 보면 예상치 못한 오류가 발생하기도 합니다. 그런 경우 구글 검색을 통해 해결하거나 테마/플러그인 개발자에게 문의하여 문제 해결을 시도할 수 있습니다.

간혹 다음과 같은 문제가 발생할 수 있습니다.

Parse error: syntax error, unexpected '<' in /www/.../index.php on line 18

이 경우 워드프레스(WordPress) 설치 파일이 의도치 않게 수정되었을 수 있습니다. 먼저 워드프레스 사이트에서 설치 파일을 새로 받아서 압축을 푼 후에, wp-content 폴더를 제외한 모든 폴더와 파일을 새로 다운로드 받은 파일로 덮어쓰기한 후에 문제가 해결되는지 확인해보시기 바랍니다.

그래도 잘 안 되면, PHP 버전을 워드프레스 사양에 맞게 업그레이드하는 등 다른 조치가 필요할 수 있습니다.

이와 같이 새로운 설치 파일로 대체하는 방법이 의외로 효과가 볼 때가 많습니다. 가령 Visual Composer에서 다음과 비슷한 오류가 나는 경우:

Warning: require_once(/home/.../wp-content/plugins/js-composer/include/helpers/helpers_factory.php): failed to open stream: No such file or directory in /home/.../wp-content/plugins/js-composer/js_composer.php on line 137

Fatal error: require_once(): Failed opening required ’/home/.../wp-content/plugins/js-composer/include/helpers/helpers_factory.php’ (include_path=’.:/usr/local/php5_4/lib/php’) in /home/.../wp-content/plugins/js-composer/js_composer.php on line 137

이 경우에도 워드프레스에서 VC를 제거한 후에 Visual Composer의 새로운 설치 파일을 다운로드 받아서 다시 설치하면 문제가 해결되기도 합니다.

참고:

Leave a Comment

프리미엄 테마 그래픽 동영상 템플릿 무료 다운로드